From 8bb668cf32d5d008417a74ea320c6f1c246c0498 Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Fri, 25 Dec 2009 21:23:00 +0100
Subject: [PATCH 4/4] gui/macosx: Do not automatically resize the video view by calling scaleWindowWithFactor:animate: when it is embedded.

---
 modules/gui/macosx/vout.m |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/modules/gui/macosx/vout.m b/modules/gui/macosx/vout.m
index f333b20..521d852 100644
--- a/modules/gui/macosx/vout.m
+++ b/modules/gui/macosx/vout.m
@@ -969,7 +969,8 @@ int DeviceCallback( vlc_object_t *p_this, const char *psz_variable,
         if ([o_window isVisible] && (![o_window isFullscreen]))
             [o_window makeKeyAndOrderFront: self];
 
-        [self scaleWindowWithFactor: 1.0 animate: [o_window isVisible] && (![o_window isFullscreen])];
+		if ( [self window] != o_embeddedwindow )
+			[self scaleWindowWithFactor: 1.0 animate: [o_window isVisible] && (![o_window isFullscreen])];
 
         [o_embeddedwindow setVideoRatio:[self voutSizeForFactor:1.0]];
 
-- 
1.6.1.3

